import React from 'react';
import PropTypes from 'prop-types';

import AgencyPerDayTableEntries from './agency-per-day-table-entries';

/*destructure props object*/
export default function AgencyPerDayTable ({array, title}){

    if ( array !== undefined && array !== null) {
	/*return a React element*/
	return (
            <>
		<p>Table of {array.length}&nbsp;{title} for today:</p>
		<table>
		<thead>
		    <tr>
			<th>agency_name</th>
			<th>agency_id</th>
			<th>route_id</th>
			<th>route_short_name</th>
			<th>timestamp_pgsql</th>
		    </tr>
		</thead>
		<tbody>
		    <AgencyPerDayTableEntries array={array} />
		</tbody>
		</table>
            </>
	);
    }else{
	return (
            <>
		<p>loading...</p>
            </>
	);
    }
};
AgencyPerDayTable.propTypes = {
    array: PropTypes.array,
    title: PropTypes.string
};
